<?php

/**
* @package     JohnCMS
* @link        http://johncms.com
* @copyright   Copyright (C) 2008-2011 JohnCMS Community
* @license     LICENSE.txt (see attached file)
* @version     VERSION.txt (see attached file)
* @author      http://johncms.com/about
*/

define('_IN_JOHNCMS', 1);

$rootpath = '';
require('incfiles/core.php');
$textl = $lng['registration'];
require('incfiles/head.php');
$lng_reg = core::load_lng('registration');

// Если регистрация закрыта, выводим предупреждение
if (core::$deny_registration || !$set['mod_reg']) {
echo '<p>' . $lng_reg['registration_closed'] . '</p>';
require('incfiles/end.php');
exit;
}

$reg_nick = isset($_POST['nick']) ? trim($_POST['nick']) : '';
$lat_nick = functions::rus_lat(mb_strtolower($reg_nick));
$reg_pass = isset($_POST['password']) ? trim($_POST['password']) : '';
$reg_name = isset($_POST['imname']) ? trim($_POST['imname']) : '';
$reg_about = isset($_POST['about']) ? trim($_POST['about']) : '';
$reg_sex = isset($_POST['sex']) ? functions::check(mb_substr(trim($_POST['sex']), 0, 2)) : '';

echo '<div class="phdr"><b>' . $lng['registration'] . '</b></div>';
if (isset($_POST['submit'])) {
// Принимаем переменные
$error = array();
// Проверка Логина
if (empty($reg_nick))
$error['login'][] = $lng_reg['error_nick_empty'];
elseif (mb_strlen($reg_nick) < 2 || mb_strlen($reg_nick) > 250)
$error['login'][] = $lng_reg['error_nick_lenght'];
if (preg_match("/[^0-9a-z\-\@\*\(\)\?\!\~\_\=\[\]]+/", $lat_nick))
$error['login'][] = $lng['error_wrong_symbols'];
// Проверка пароля
if (empty($reg_pass)) $error['password'][] = $lng['error_empty_password'];
elseif (mb_strlen($reg_pass) < 3 || mb_strlen($reg_pass) > 10) $error['password'][] = $lng['error_wrong_lenght'];
if (preg_match('/[^\dA-Za-z]+/', $reg_pass)) $error['password'][] = $lng['error_wrong_symbols'];
// Проверка пола
if ($reg_sex != 'm' && $reg_sex != 'zh') $error['sex'] = $lng_reg['error_sex'];
unset($_SESSION['code']);
// Проверка переменных
if (empty($error)) {
$pass = md5(md5($reg_pass));
$reg_name = functions::check(mb_substr($reg_name, 0, 500));
$reg_about = functions::check(mb_substr($reg_about, 0, 5000));
// Проверка, занят ли ник
$req = mysql_query("SELECT * FROM `users` WHERE `name_lat`='" . mysql_real_escape_string($lat_nick) . "'");
if (mysql_num_rows($req) != 0) {
$error['login'][] = $lng_reg['error_nick_occupied'];
}
}
if (empty($error)) {
$msg = 'Chào mừng bạn đã đến với Fan9 bạn là thành viên mới nên đọc <a id="btn" href="/pages/faq.php?act=forum"><font color=red>Nội Quy</font></a> để tránh bị vi phạm và nhằm để bạn hiểu rõ hơn về chúng tôi, rất vui vì có sự góp mặt của bạn hãy phát triển Fan9 bạn nhé.<br/>
Đây là tin nhắn tự động.Chúc bạn 1 ngày vui vẻ cùng Fan9.Net';
mysql_query("insert into `privat` values(0,'" . mysql_real_escape_string($lat_nick) . "','".$msg."','" . time() . "','Fan9','in','no','Tin Chào Mừng','0','','','','" . mysql_real_escape_string($fname) . "');");
$botnew = 'Chào đón [green]' . $reg_nick . '[/green] đến với Fan9';
if ($botnew) {
mysql_query("INSERT INTO `guest` SET
`adm` = '$admset',
`time` = '" . time() . "',
`user_id` = '2',
`name` = 'BOT',
`text` = '" . mysql_real_escape_string($botnew) . "',
`ip` = '00000',
`browser` = 'IPhone 4Gs'
");
$preg = $set['mod_reg'] > 1 ? 1 : 0;
mysql_query("INSERT INTO `users` SET
`name` = '" . mysql_real_escape_string($reg_nick) . "',
`name_lat` = '" . mysql_real_escape_string($lat_nick) . "',
`password` = '" . mysql_real_escape_string($pass) . "',
`imname` = '$reg_name',
`about` = '$reg_about',
`sex` = '$reg_sex',
`rights` = '0',
`power` = '1000', `balans` = '10000',
`status` = 'Víp Sơn Dương',
`ip` = '" . core::$ip . "',
`ip_via_proxy` = '" . core::$ip_via_proxy . "',
`browser` = '" . mysql_real_escape_string($agn) . "',
`datereg` = '" . time() . "',
`lastdate` = '" . time() . "',
`sestime` = '" . time() . "',
`preg` = '$preg'
");
$usid = mysql_insert_id();
echo '<div class="menu"><p><h3>' . $lng_reg['you_registered'] . '</h3>' . $lng_reg['your_id'] . ': <b>' . $usid . '</b><br/>' . $lng_reg['your_login'] . ': <b>' . $reg_nick . '</b><br/>' . $lng_reg['your_password'] . ': <b>' . $reg_pass . '</b></p>' .
'<p><h3>' . $lng_reg['your_link'] . '</h3><input type="text" value="' . $set['homeurl'] . '/login.php?id=' . $usid . '&amp;p=' . $reg_pass . '" /><br/>';
if ($set['mod_reg'] == 1) {
echo '<p><span class="red"><b>' . $lng_reg['moderation_note'] . '</b></span></p>';
} else {
echo '<br /><a href="login.php?id=' . $usid . '&amp;p=' . $reg_pass . '">' . $lng_reg['enter'] . '</a><br/><br/>';
}
echo '</p></div>';
require('incfiles/end.php');
exit;
}
}

}
/*

-----------------------------------------------------------------
Форма регистрации
-----------------------------------------------------------------
*/
if ($set['mod_reg'] == 1) echo '<div class="rmenu"><p>' . $lng_reg['moderation_warning'] . '</p></div>';
echo '<form action="registration.php" method="post"><div class="list1">' .
'<p><h3>Tài khoản đăng ký</h3>' .
(isset($error['login']) ? '<span class="red"><small>' . implode('<br />', $error['login']) . '</small></span><br />' : '') .
'<input type="text" name="nick" maxlength="15" value="' . htmlspecialchars($reg_nick) . '"' . (isset($error['login']) ? ' style="background-color: #FFCCCC"' : '') . '/><br />' .
'<small>(Chọn tên hiển thị tại diễn đàn . Lưu ý tên này sẽ là mặc định và là duy nhất không thể viết TV có dấu và không được phép có khoảng trống ngăn cách)</small></p>' .
'<p><h3>Mật khẩu tài khoản</h3>' .
(isset($error['password']) ? '<span class="red"><small>' . implode('<br />', $error['password']) . '</small></span><br />' : '') .
'<input type="text" name="password" maxlength="20" value="' . htmlspecialchars($reg_pass) . '"' . (isset($error['password']) ? ' style="background-color: #FFCCCC"' : '') . '/><br/>' .
'<small>(Nên chọn một mật mã khó đoán để bảo vệ tài khoản của bạn)</small></p>' .
'<p><h3>Chọn giới tính</h3>' .
(isset($error['sex']) ? '<span class="red"><small>' . $error['sex'] . '</small></span><br />' : '') .
'<select name="sex"' . (isset($error['sex']) ? ' style="background-color: #FFCCCC"' : '') . '>' .
'<option value="?">(không xác định)</option>' .
'<option value="m"' . ($reg_sex == 'm' ? ' selected="selected"' : '') . '>' . $lng_reg['sex_m'] . '</option>' .
'<option value="zh"' . ($reg_sex == 'zh' ? ' selected="selected"' : '') . '>' . $lng_reg['sex_w'] . '</option>' .
'</select></p></br>' .
'<p><h3>Tên thật của bạn</h3>' .
'<input type="text" name="imname" maxlength="30" value="' . htmlspecialchars($reg_name) . '" /><br />' .
'<small>' . $lng_reg['name_help'] . '</small></p>' .
'<p><h3>Sở thích bản thân</h3>' .
'<textarea rows="3" name="about">' . htmlspecialchars($reg_about) . '</textarea><br />' .
'<small>' . $lng_reg['about_help'] . '</small></p>' . '<p><input type="submit" name="submit" value="Tạo tài khoản"/></p></div></form>' .
'<div class="list2"><small>' . $lng_reg['registration_terms'] . '</small></div>';

require('incfiles/end.php');
?>
