<?php

defined('_IN_JOHNCMS') or die('Error: restricted access');

$textl = htmlspecialchars($user['name']) . ': ' . $lng_profile['profile_edit'];
require('../incfiles/head.php');

/*
-----------------------------------------------------------------
Проверяем права доступа для редактирования Профиля
-----------------------------------------------------------------
*/
if ($user['id'] != $user_id && ($rights < 7 || $user['rights'] > $rights)) {
echo functions::display_error($lng_profile['error_rights']);
require('../incfiles/end.php');
exit;
}

/*
-----------------------------------------------------------------
Сброс настроек
-----------------------------------------------------------------
*/
if ($rights >= 7 && $rights > $user['rights'] && $act == 'reset') {
mysql_query("UPDATE `users` SET `set_user` = '', `set_forum` = '', `set_chat` = '' WHERE `id` = '" . $user['id'] . "'");
echo '<div class="gmenu"><p>' . $lng['settings_default'] . '<br /><a href="profile.php?user=' . $user['id'] . '">' . $lng['to_form'] . '</a></p></div>';
require('../incfiles/end.php');
exit;
}
echo '<div class="phdr"><a href="profile.php?user=' . $user['id'] . '"><b>' . ($user['id'] != $user_id ? $lng['profile'] : $lng_profile['my_profile']) . '</b></a> | ' . $lng['edit'] . '</div>';
if (isset($_GET['delavatar'])) {
/*
-----------------------------------------------------------------
Удаляем аватар
-----------------------------------------------------------------
*/
@unlink('../files/users/avatar/' . $user['id'] . '.png');
echo '<div class="rmenu">' . $lng_profile['avatar_deleted'] . '</div>';
} elseif (isset($_GET['delphoto'])) {
/*
-----------------------------------------------------------------
Удаляем фото
-----------------------------------------------------------------
*/
@unlink('../files/users/photo/' . $user['id'] . '.jpg');
@unlink('../files/users/photo/' . $user['id'] . '_small.jpg');
echo '<div class="rmenu">' . $lng_profile['photo_deleted'] . '</div>';
} elseif (isset($_POST['submit'])) {
/*
-----------------------------------------------------------------
Принимаем данные из формы, проверяем и записываем в базу
-----------------------------------------------------------------
*/
$error = array ();
$user['imname'] = isset($_POST['imname']) ? functions::check(mb_substr($_POST['imname'], 0, 250)) : '';
$user['live'] = isset($_POST['live']) ? functions::check(mb_substr($_POST['live'], 0, 500)) : '';
$user['dayb'] = isset($_POST['dayb']) ? intval($_POST['dayb']) : 0;
$user['monthb'] = isset($_POST['monthb']) ? intval($_POST['monthb']) : 0;
$user['yearofbirth'] = isset($_POST['yearofbirth']) ? intval($_POST['yearofbirth']) : 0;
$user['about'] = isset($_POST['about']) ? functions::check(mb_substr($_POST['about'], 0, 500)) : '';
$user['mibile'] = isset($_POST['mibile']) ? functions::check(mb_substr($_POST['mibile'], 0, 400)) : '';
$user['mail'] = isset($_POST['mail']) ? functions::check(mb_substr($_POST['mail'], 0, 400)) : '';
$user['mailvis'] = isset($_POST['mailvis']) ? 1 : 0;
$user['icq'] = isset($_POST['icq']) ? intval($_POST['icq']) : 0;
$user['skype'] = isset($_POST['skype']) ? functions::check(mb_substr($_POST['skype'], 0, 400)) : '';
$user['jabber'] = isset($_POST['jabber']) ? functions::check(mb_substr($_POST['jabber'], 0, 400)) : '';
$user['www'] = isset($_POST['www']) ? functions::check(mb_substr($_POST['www'], 0, 400)) : '';
// Данные юзера (для Администраторов)
$user['name'] = isset($_POST['name']) ? functions::check(mb_substr($_POST['name'], 0, 250)) : $user['name'];
$user['status'] = isset($_POST['status']) ? functions::check(mb_substr($_POST['status'], 0, 5000)) : '';
$user [ 'balans' ] = isset( $_POST [ 'balans' ]) ?  functions :: check ( mb_substr ( $_POST [ 'balans' ],  0 ,  5000000000 )) :  '' ;
$user [ 'power' ] = isset( $_POST [ 'power' ]) ?  functions :: check ( mb_substr ( $_POST [ 'power' ],  0 ,  500000000 )) :  '' ;
$user [ 'chuki' ] = isset( $_POST [ 'chuki' ]) ?  functions :: check ( mb_substr ( $_POST [ 'chuki' ],  0 ,  500000 )) :  '' ;
    $user['vnd'] = isset($_POST['vnd']) ? functions::check(mb_substr($_POST['vnd'], 0, 11)) : '';
    $user['thank_duoc'] = isset($_POST['thank_duoc']) ? functions::check(mb_substr($_POST['thank_duoc'], 0, 11)) : '';
    $user['thank_di'] = isset($_POST['thank_di']) ? functions::check(mb_substr($_POST['thank_di'], 0, 11)) : '';
    $user['postforum'] = isset($_POST['postforum']) ? functions::check(mb_substr($_POST['postforum'], 0, 11)) : '';
    $user['postguest'] = isset($_POST['postguest']) ? functions::check(mb_substr($_POST['postguest'], 0, 11)) : '';
$user['karma_off'] = isset($_POST['karma_off']);
$user['sex'] = isset($_POST['sex']) && $_POST['sex'] == 'm' ? 'm' : 'zh';
$user['rights'] = isset($_POST['rights']) ? abs(intval($_POST['rights'])) : $user['rights'];
// Проводим необходимые проверки
if($user['rights'] > $rights || $user['rights'] > 9 || $user['rights'] < 0)
$user['rights'] = 0;
if ($rights >= 7) {
if (mb_strlen($user['name']) < 1 || mb_strlen($user['name']) > 250)
$error[] = $lng_profile['error_nick_lenght'];
$lat_nick = functions::rus_lat(mb_strtolower($user['name']));
if (preg_match("/[^0-9a-z\A-Z\-\@\ \a\à\á\ả\ã\ạ\A\À\Á\Ả\Ã\Ạ\è\é\ẻ\ẽ\ẹ\E\È\É\Ẻ\Ẽ\Ẹ\ù\ú\ủ\ũ\ụ\U\Ù\Ú\Ủ\Ũ\Ụ\Ư\Ừ\Ứ\Ử\Ữ\Ự\ư\ừ\ứ\ử\ữ\ự\I\Ì\Í\Ỉ\Ĩ\Ị\i\ì\í\ỉ\ĩ\ị\y\ỳ\ý\ỷ\ỹ\ỵ\Y\Ỳ\Ý\Ỷ\Ỹ\Ỵ\ê\ề\ễ\ể\ệ\Ê\Ề\Ế\Ể\Ễ\Ệ\ô\ồ\ố\ổ\ỗ\ộ\Ô\Ồ\Ố\Ổ\Ỗ\Ộ\â\ầ\ấ\ẩ\ẫ\ậ\Â\Ầ\Ấ\Ẩ\Ẫ\Ậ\ư\ừ\ứ\ử\ữ\ự\Ư\Ừ\Ứ\Ử\Ữ\Ự\ò\ó\ỏ\õ\ọ\Ò\Ó\Ỏ\Õ\Ọ\ă\ằ\ắ\ẳ\ẵ\ặ\Ă\Ằ\Ắ\Ẳ\Ẵ\Ặ\Ơ\Ờ\Ớ\Ở\Ỡ\Ợ\ơ\ờ\ớ\ở\ỡ\ợ\*\(\)\?\!\~\_\=\[\]]+/", $lat_nick))
$error[] = $lng_profile['error_nick_symbols'];
}
if ($user['dayb'] || $user['monthb'] || $user['yearofbirth']) {
if ($user['dayb'] < 1 || $user['dayb'] > 31 || $user['monthb'] < 1 || $user['monthb'] > 12)
$error[] = $lng_profile['error_birth'];
}
if ($user['icq'] && ($user['icq'] < 1 || $user['icq'] > 999999999))
$error[] = $lng_profile['error_icq'];
if (!$error) {
mysql_query("UPDATE `users` SET
`imname` = '" . $user['imname'] . "',
`live` = '" . $user['live'] . "',
`dayb` = '" . $user['dayb'] . "',
`monthb` = '" . $user['monthb'] . "',
`yearofbirth` = '" . $user['yearofbirth'] . "',
`about` = '" . $user['about'] . "',
`mibile` = '" . $user['mibile'] . "',
`mail` = '" . $user['mail'] . "',
`mailvis` = '" . $user['mailvis'] . "',
`icq` = '" . $user['icq'] . "',
`skype` = '" . $user['skype'] . "',
`jabber` = '" . $user['jabber'] . "',
`www` = '" . $user['www'] . "'
WHERE `id` = '" . $user['id'] . "'
");
if ($rights >= 7) {
mysql_query("UPDATE `users` SET
`name` = '" . $user['name'] . "',
`status` = '" . $user['status'] . "',
`thank_duoc` = '" . $user['thank_duoc'] . "',
`thank_di` = '" . $user['thank_di'] . "',
`postforum` = '" . $user['postforum'] . "',
`postguest` = '" . $user['postguest'] . "',
`karma_off` = '" . $user['karma_off'] . "',
`sex` = '" . $user['sex'] . "',
`rights` = '" . $user['rights'] . "'
WHERE `id` = '" . $user['id'] . "'
");
}
echo '<div class="gmenu">' . $lng_profile['data_saved'] . '</div>';
} else {
echo functions::display_error($error);
}
}

/*
-----------------------------------------------------------------
Форма редактирования анкеты пользователя
-----------------------------------------------------------------
*/
echo '<form action="profile.php?act=edit&amp;user=' . $user['id'] . '" method="post">' .
'<div class="gmenu"><p>' .
$lng['login_name'] . ': <b>' . $user['name_lat'] . '</b><br />';
if ($rights >= 9) {
 echo 'Được thích:<br/><input type="text" value="' . $user['thank_duoc'] . '" name="thank_duoc" /><br/>';
echo 'Nhấn thích:<br/><input type="text" value="' . $user['thank_di'] . '" name="thank_di" /><br/>';
echo 'Bài viết:<br/><input type="text" value="' . $user['postforum'] . '" name="postforum" /><br/>';
echo 'Lưu Bút:<br/><input type="text" value="' . $user['postguest'] . '" name="postguest" /><br/>';
echo $lng['nick'] . ': (Tên hiển thị)<br /><input type="text" value="' . $user['name'] . '" name="name" /><br>' .
$lng['status'] . ': (Tâm trạng cá nhân)<br><input type="text" value="' . $user['status'] . '" name="status" /><br>';
} else {
echo '<span class="gray">' . $lng['nick'] . ':</span> <b>' . $user['name'] . '</b><br />' .
'<span class="gray">' . $lng['status'] . ':</span> ' . $user['status'] . '<br />';
}
echo '</p><p>' . $lng['avatar'] . ':<br />';
$link = '';
if (file_exists(('../files/users/avatar/' . $user['id'] . '.png'))) {
echo '<img src="../files/users/avatar/' . $user['id'] . '.png" width="32" height="32" alt="' . $user['name'] . '" /><br />';
$link = ' | <a href="profile.php?act=edit&amp;user=' . $user['id'] . '&amp;delavatar">' . $lng['delete'] . '</a>';
}
echo '<small><a href="profile.php?act=images&amp;mod=avatar&amp;user=' . $user['id'] . '">' . $lng_profile['upload'] . '</a>';
if($user['id'] == $user_id)
echo ' | <a href="../pages/faq.php?act=avatars">' . $lng['select'] . '</a>';
echo $link . '</small></p>';
echo '<p>' . $lng_profile['photo'] . ':<br />';
$link = '';
if (file_exists(('../files/users/photo/' . $user['id'] . '_small.jpg'))) {
echo '<a href="../files/users/photo/' . $user['id'] . '.jpg"><img src="../../files/users/photo/' . $user['id'] . '_small.jpg" alt="' . $user['name'] . '" border="0" /></a><br />';
$link = ' | <a href="profile.php?act=edit&amp;user=' . $user['id'] . '&amp;delphoto">' . $lng['delete'] . '</a>';
}
echo '<small><a href="profile.php?act=images&amp;mod=up_photo&amp;user=' . $user['id'] . '">' . $lng_profile['upload'] . '</a>' . $link . '</small><br />' .
'</p></div>' .
'<div class="menu">' .
'<p><h3><img src="../images/contacts.png" width="16" height="16" class="left" />&#160;' . $lng_profile['personal_data'] . '</h3>' .
$lng_profile['name'] . ':<br /><input type="text" value="' . $user['imname'] . '" name="imname" /></p>' .
'<p>' . $lng_profile['birth_date'] . '<br />' .
'<input type="text" value="' . $user['dayb'] . '" size="2" maxlength="2" name="dayb" />.' .
'<input type="text" value="' . $user['monthb'] . '" size="2" maxlength="2" name="monthb" />.' .
'<input type="text" value="' . $user['yearofbirth'] . '" size="4" maxlength="4" name="yearofbirth" /></p>' .
'<p>' . $lng_profile['city'] . ':<br /><input type="text" value="' . $user['live'] . '" name="live" /></p>' .
'<p>' . $lng_profile['about'] . ':<br /><textarea rows="' . $set_user['field_h'] . '" name="about">' . str_replace('<br />', "\r\n", $user['about']) . '</textarea></p>' .
'<p><h3><img src="../images/mail.png" width="16" height="16" class="left" />&#160;' . $lng_profile['communication'] . '</h3>' .
$lng_profile['phone_number'] . ':<br /><input type="text" value="' . $user['mibile'] . '" name="mibile" /><br />' .
'</p><p>E-mail:<br /><small>' . $lng_profile['email_warning'] . '</small><br />' .
'<input type="text" value="' . $user['mail'] . '" name="mail" /><br />' .
'<input name="mailvis" type="checkbox" value="1" ' . ($user['mailvis'] ? 'checked="checked"' : '') . ' />&#160;' . $lng_profile['show_in_profile'] . '</p>' .
'<p>Tài khoản ATM<br /><input type="text" value="' . $user['icq'] . '" name="icq" height="3" maxlength="1000" /></p>' .
'<p>Mẫu người yêu<br /><input type="text" value="' . $user['skype'] . '" name="skype" />' .
'<p>Nghề nghiệp<br /><input type="text" value="' . $user['jabber'] . '" name="jabber" /></p>' .
'<p>Tài năng<br /><input type="text" value="' . $user['www'] . '" name="www" /></p>' .
'</div>';
// Административные функции
if ($rights >= 7) {
echo '<div class="rmenu"><p><h3><img src="../images/settings.png" width="16" height="16" class="left" />&#160;' . $lng['settings'] . '</h3><ul>';
if ($rights == 9) {
echo '<li><input name="karma_off" type="checkbox" value="1" ' . ($user['karma_off'] ? 'checked="checked"' : '') . ' />&#160;<span class="red"><b>' . $lng_profile['deny_karma'] . '</b></span></li>';
}
echo '<li><a href="profile.php?act=password&amp;user=' . $user['id'] . '">' . $lng['change_password'] . '</a></li>';
if($rights > $user['rights'])
echo '<li><a href="profile.php?act=reset&amp;user=' . $user['id'] . '">' . $lng['reset_settings'] . '</a></li>';
echo '<li>' . $lng_profile['specify_sex'] . ':<br />' .
'<input type="radio" value="m" name="sex" ' . ($user['sex'] == 'm' ? 'checked="checked"' : '') . '/>&#160;' . $lng_profile['sex_m'] . '<br />' .
'<input type="radio" value="zh" name="sex" ' . ($user['sex'] == 'zh' ? 'checked="checked"' : '') . '/>&#160;' . $lng_profile['sex_w'] . '</li>' .
'</ul></p>';
if ($user['id'] != $user_id) {
echo '<p><h3><img src="../images/admin.png" width="16" height="16" class="left" />&#160;' . $lng_profile['rank'] . '</h3><ul>' .
'<input type="radio" value="0" name="rights" ' . (!$user['rights'] ? 'checked="checked"' : '') . '/>&#160;<b>Thành viên</b><br />' .
'<input type="radio" value="1" name="rights" ' . ($user['rights'] == 1 ? 'checked="checked"' : '') . '/>&#160;<b>VIP</b><br />' .
'<input type="radio" value="2" name="rights" ' . ($user['rights'] == 2 ? 'checked="checked"' : '') . '/>&#160;Máy chém tự động<br />' .
'<input type="radio" value="3" name="rights" ' . ($user['rights'] == 3 ? 'checked="checked"' : '') . '/>&#160;Quản lý viên<br />' .
'<input type="radio" value="6" name="rights" ' . ($user['rights'] == 6 ? 'checked="checked"' : '') . '/>&#160;Điều hành viên<br />';
if ($rights == 9) {
echo '<input type="radio" value="7" name="rights" ' . ($user['rights'] == 7 ? 'checked="checked"' : '') . '/>&#160;Quản trị viên<br />' .
'<input type="radio" value="9" name="rights" ' . ($user['rights'] == 9 ? 'checked="checked"' : '') . '/>&#160;<span class="red"><b>Người sáng lập</b></span><br />';
}
echo '</ul></p>';
}
echo '</div>';
}
echo '<div class="gmenu"><input type="submit" value="' . $lng['save'] . '" name="submit" /></div>' .
'</form>' .
'<div class="phdr"><a href="profile.php?user=' . $user['id'] . '">Trở lại hồ sơ</a></div>';
?>
