<?php

define('_IN_JOHNCMS', 1);

require('../incfiles/core.php');
$lng_profile = core::load_lng('profile');

/*
-----------------------------------------------------------------
Закрываем от неавторизованных юзеров
-----------------------------------------------------------------
*/
if (!$user_id) {
require('../incfiles/head.php');
echo functions::display_error($lng['access_guest_forbidden']);
require('../incfiles/end.php');
exit;
}

/*
-----------------------------------------------------------------
Получаем данные пользователя
-----------------------------------------------------------------
*/
$user = functions::get_user($user);
if (!$user) {
require('../incfiles/head.php');
echo functions::display_error($lng['user_does_not_exist']);
require('../incfiles/end.php');
exit;
}

/*
-----------------------------------------------------------------
Переключаем режимы работы
-----------------------------------------------------------------
*/
$array = array (
'activity' => 'includes/profile',
'ban' => 'includes/profile',
'edit' => 'includes/profile',
'images' => 'includes/profile',
'info' => 'includes/profile',
'ip' => 'includes/profile',
'guestbook' => 'includes/profile',
'karma' => 'includes/profile',
'office' => 'includes/profile',
'password' => 'includes/profile',
'reset' => 'includes/profile',
'settings' => 'includes/profile',
'stat' => 'includes/profile',
'vipham' => 'includes/profile'
);
$path = !empty($array[$act]) ? $array[$act] . '/' : '';
if (array_key_exists($act, $array) && file_exists($path . $act . '.php')) {
require_once($path . $act . '.php');
} else {
/*
-----------------------------------------------------------------
Анкета пользователя
-----------------------------------------------------------------
*/
$headmod = 'profile,' . $user['id'];
$textl = $lng['profile'] . ': ' . htmlspecialchars($user['name']);
require('../incfiles/head.php');
echo '<div class="phdr"><b>' . ($user['id'] != $user_id ? $lng_profile['user_profile'] : $lng_profile['my_profile']) . '</b></div>';
// Меню анкеты
$menu = array ();
if ($user['id'] == $user_id || $rights == 9 || ($rights == 7 && $rights > $user['rights']))
$menu[] = '<a href="profile.php?act=edit&amp;user=' . $user['id'] . '">' . $lng['edit'] . '</a>';
if ($user['id'] != $user_id && $rights >= 7 && $rights > $user['rights'])
$menu[] = '<a href="' . $set['homeurl'] . '/' . $set['admp'] . '/index.php?act=usr_del&amp;id=' . $user['id'] . '">' . $lng['delete'] . '</a>';
if ($user['id'] != $user_id && $rights > $user['rights'])
$menu[] = '<a href="profile.php?act=ban&amp;mod=do&amp;user=' . $user['id'] . '">' . $lng['ban_do'] . '</a>';
if (!empty($menu))
echo '<div class="topmenu">' . functions::display_menu($menu) . '</div>';
//Уведомление о дне рожденья
if ($user['dayb'] == date('j', time()) && $user['monthb'] == date('n', time())) {
echo '<div class="gmenu">' . $lng['birthday'] . '!!!</div>';
}
echo'<div class="gmenu">';
// Информация о юзере
$arg = array (
'lastvisit' => 1,
'iphist' => 1,
'header' => 'ID:' . $user['id'] . ''
);
if($user['id'] != core::$user_id) $arg['footer'] = '<span class="gray">' . core::$lng['where'] . ':</span> ' . functions::display_place($user['id'], $user['place']);
echo '<div class="user"><p>' . functions::display_user2($user, $arg) . '</p></div>';
////shop/////
echo '<div align="right">
<table border="0" width="50%">
<tr>
<td>';
echo '<div align="right" style="position: absolute; width: 100px; height: 100px; z-index: 1;" id="layer1">';

if ($user['sex']==zh){echo "<img src='/item/nu.png' border='0' width='100' height='120'></b> \n";} else {echo "<img src='/item/nam.png' border='0' width='100' height='120'> \n";}

echo '</div>';

echo '<div align="right" style="position: absolute; width: 100px; height: 100px; z-index: 1;" id="layer3">';

if ($user['quan']==0) echo '';

else if ($user['quan']==1) echo '<img src="../item/quan/boy/1.png" alt="" class="icon"/>';


else if ($user['quan']==2) echo '<img src="../item/quan/boy/2.png" alt="" class="icon"/>';


else if ($user['quan']==3) echo '<img src="../item/quan/boy/3.png" alt="" class="icon"/>';


else if ($user['quan']==4) echo '<img src="../item/quan/boy/4.png" alt="" class="icon"/>';


else if ($user['quan']==5) echo '<img src="../item/quan/boy/5.png" alt="" class="icon"/>';


else if ($user['quan']==6) echo '<img src="../item/quan/boy/6.png" alt="" class="icon"/>';


else if ($user['quan']==7) echo '<img src="../item/quan/boy/7.png" alt="" class="icon"/>';


else if ($user['quan']==8) echo '<img src="../item/quan/boy/8.png" alt="" class="icon"/>';


else if ($user['quan']==-1) echo '<img src="../item/quan/girl/1.png" alt="" class="icon"/>';


else if ($user['quan']==-2) echo '<img src="../item/quan/girl/2.png" alt="" class="icon"/>';


else if ($user['quan']==-3) echo '<img src="../item/quan/girl/3.png" alt="" class="icon"/>';


else if ($user['quan']==-4) echo '<img src="../item/quan/girl/4.png" alt="" class="icon"/>';


else if ($user['quan']==-5) echo '<img src="../item/quan/girl/5.png" alt="" class="icon"/>';


else if ($user['quan']==-6) echo '<img src="../item/quan/girl/6.png" alt="" class="icon"/>';

else if ($user['quan']==-7) echo '<img src="../item/quan/girl/7.png" alt="" class="icon"/>';

echo '</div>';

echo '<div align="right" style="position: absolute; width: 100px; height: 100px; z-index: 1;" id="layer2">';

if ($user['toc']==0) echo '';





else if ($user['toc']==1) echo '<img src="../item/toc/boy/1.png" alt="" class="icon"/>';


else if ($user['toc']==2) echo '<img src="../item/toc/boy/2.png" alt="" class="icon"/>';


else if ($user['toc']==3) echo '<img src="../item/toc/boy/3.png" alt="" class="icon"/>';


else if ($user['toc']==4) echo '<img src="../item/toc/boy/4.png" alt="" class="icon"/>';


else if ($user['toc']==5) echo '<img src="../item/toc/boy/5.png" alt="" class="icon"/>';


else if ($user['toc']==6) echo '<img src="../item/toc/boy/6.png" alt="" class="icon"/>';


else if ($user['toc']==7) echo '<img src="../item/toc/boy/7.png" alt="" class="icon"/>';


else if ($user['toc']==8) echo '<img src="../item/toc/boy/8.png" alt="" class="icon"/>';


else if ($user['toc']==9) echo '<img src="../item/toc/boy/9.png" alt="" class="icon"/>';


else if ($user['toc']==10) echo '<img src="../item/toc/boy/10.png" alt="" class="icon"/>';


else if ($user['toc']==11) echo '<img src="../item/toc/boy/11.png" alt="" class="icon"/>';


else if ($user['toc']==12) echo '<img src="../item/toc/boy/12.png" alt="" class="icon"/>';


else if ($user['toc']==13) echo '<img src="../item/toc/boy/13.png" alt="" class="icon"/>';


else if ($user['toc']==14) echo '<img src="../item/toc/boy/14.png" alt="" class="icon"/>';


else if ($user['toc']==-1) echo '<img src="../item/toc/girl/1.png" alt="" class="icon"/>';


else if ($user['toc']==-2) echo '<img src="../item/toc/girl/2.png" alt="" class="icon"/>';


else if ($user['toc']==-3) echo '<img src="../item/toc/girl/3.png" alt="" class="icon"/>';


else if ($user['toc']==-4) echo '<img src="../item/toc/girl/4.png" alt="" class="icon"/>';


else if ($user['toc']==-5) echo '<img src="../item/toc/girl/5.png" alt="" class="icon"/>';


else if ($user['toc']==-6) echo '<img src="../item/toc/girl/6.png" alt="" class="icon"/>';


else if ($user['toc']==-7) echo '<img src="../item/toc/girl/7.png" alt="" class="icon"/>';


else if ($user['toc']==-8) echo '<img src="../item/toc/girl/8.png" alt="" class="icon"/>';


else if ($user['toc']==-9) echo '<img src="../item/toc/girl/9.png" alt="" class="icon"/>';


else if ($user['toc']==-10) echo '<img src="../item/toc/girl/10.png" alt="" class="icon"/>';


else if ($user['toc']==11) echo '<img src="../item/toc/girl/item/11.png" alt="" class="icon"/>';


else if ($user['toc']==12) echo '<img src="../item/toc/girl/item/12.png" alt="" class="icon"/>';


else if ($user['toc']==13) echo '<img src="../item/toc/girl/item/13.png" alt="" class="icon"/>';


else if ($user['toc']==14) echo '<img src="../item/toc/girl/item/14.png" alt="" class="icon"/>';


else if ($user['toc']==15) echo '<img src="../item/toc/girl/item/15.png" alt="" class="icon"/>';


else if ($user['toc']==16) echo '<img src="../item/toc/girl/item/16.png" alt="" class="icon"/>';


else if ($user['toc']==17) echo '<img src="../item/toc/girl/item/17.png" alt="" class="icon"/>';


echo '</div>';
echo '<div align="right" style="position: absolute; width: 100px; height: 100px; z-index: 1;" id="layer4">';

if ($user['ao']==0) echo '';

else if ($user['ao']==1) echo '<img src="../item/ao/boy/1.png" alt="" class="icon"/>';


else if ($user['ao']==2) echo '<img src="../item/ao/boy/2.png" alt="" class="icon"/>';


else if ($user['ao']==3) echo '<img src="../item/ao/boy/3.png" alt="" class="icon"/>';


else if ($user['ao']==4) echo '<img src="../item/ao/boy/4.png" alt="" class="icon"/>';


else if ($user['ao']==5) echo '<img src="../item/ao/boy/5.png" alt="" class="icon"/>';


else if ($user['ao']==6) echo '<img src="../item/ao/boy/6.png" alt="" class="icon"/>';


else if ($user['ao']==7) echo '<img src="../item/ao/boy/7.png" alt="" class="icon"/>';


else if ($user['ao']==8) echo '<img src="../item/ao/boy/8.png" alt="" class="icon"/>';


else if ($user['ao']==9) echo '<img src="../item/ao/boy/9.png" alt="" class="icon"/>';


else if ($user['ao']==10) echo '<img src="../item/ao/boy/10.png" alt="" class="icon"/>';


else if ($user['ao']==11) echo '<img src="../item/ao/boy/11.png" alt="" class="icon"/>';


else if ($user['ao']==12) echo '<img src="../item/ao/boy/12.png" alt="" class="icon"/>';


else if ($user['ao']==-1) echo '<img src="../item/ao/girl/1.png" alt="" class="icon"/>';


else if ($user['ao']==-2) echo '<img src="../item/ao/girl/2.png" alt="" class="icon"/>';


else if ($user['ao']==-3) echo '<img src="../item/ao/girl/3.png" alt="" class="icon"/>';


else if ($user['ao']==-4) echo '<img src="../item/ao/girl/4.png" alt="" class="icon"/>';


else if ($user['ao']==-5) echo '<img src="../item/ao/girl/5.png" alt="" class="icon"/>';


else if ($user['ao']==-6) echo '<img src="../item/ao/girl/6.png" alt="" class="icon"/>';


else if ($user['ao']==-7) echo '<img src="../item/ao/girl/7.png" alt="" class="icon"/>';


else if ($user['ao']==-8) echo '<img src="../item/ao/girl/8.png" alt="" class="icon"/>';


else if ($user['ao']==-9) echo '<img src="../item/ao/girl/9.png" alt="" class="icon"/>';


else if ($user['ao']==-10) echo '<img src="../item/ao/girl/10.png" alt="" class="icon"/>';

echo '</div>';

echo '<div align="right" style="position: absolute; width: 100px; height: 100px; z-index: 1;" id="layer5">';

if ($user['giay']==0) echo '';

else if ($user['giay']==1) echo '<img src="../item/giay/boy/1.png" alt="" class="icon"/>';


else if ($user['giay']==2) echo '<img src="../item/giay/boy/2.png" alt="" class="icon"/>';


else if ($user['giay']==3) echo '<img src="../item/giay/boy/3.png" alt="" class="icon"/>';


else if ($user['giay']==4) echo '<img src="../item/giay/boy/4.png" alt="" class="icon"/>';


else if ($user['giay']==5) echo '<img src="../item/giay/boy/5.png" alt="" class="icon"/>';


else if ($user['giay']==6) echo '<img src="../item/giay/boy/6.png" alt="" class="icon"/>';


else if ($user['giay']==7) echo '<img src="../item/giay/boy/7.png" alt="" class="icon"/>';


else if ($user['giay']==8) echo '<img src="../item/giay/boy/8.png" alt="" class="icon"/>';


else if ($user['giay']==-1) echo '<img src="../item/giay/girl/1.png" alt="" class="icon"/>';


else if ($user['giay']==-2) echo '<img src="../item/giay/girl/2.png" alt="" class="icon"/>';


else if ($user['giay']==-3) echo '<img src="../item/giay/girl/3.png" alt="" class="icon"/>';


else if ($user['giay']==-4) echo '<img src="../item/giay/girl/4.png" alt="" class="icon"/>';


else if ($user['giay']==-5) echo '<img src="../item/giay/girl/5.png" alt="" class="icon"/>';


else if ($user['giay']==-6) echo '<img src="../item/giay/girl/6.png" alt="" class="icon"/>';


else if ($user['giay']==14) echo '<img src="/style/giay/boy/14.png" alt="" class="icon"/>';


else if ($user['giay']==15) echo '<img src="/style/giay/boy/15.png" alt="" class="icon"/>';


else if ($user['giay']==16) echo '<img src="/style/giay/boy/16.png" alt="" class="icon"/>';


else if ($user['giay']==17) echo '<img src="/style/giay/boy/17.png" alt="" class="icon"/>';


else if ($user['giay']==18) echo '<img src="/style/giay/boy/18.png" alt="" class="icon"/>';


else if ($user['giay']==19) echo '<img src="/style/giay/boy/19.png" alt="" class="icon"/>';


else if ($user['giay']==20) echo '<img src="/style/giay/boy/20.png" alt="" class="icon"/>';

echo '</div>';

echo '<div align="right" style="position: absolute; width: 100px; height: 100px; z-index: 1;" id="layer5">';

if ($user['kiem']==0) echo '';

else if ($user['kiem']==1) echo '<img src="../item/kiem/boy/1.png" alt="" class="icon"/>';

else if ($user['kiem']==2) echo '<img src="../item/kiem/boy/2.png" alt="" class="icon"/>';


else if ($user['kiem']==-1) echo '<img src="../item/kiem/girl/1.png" alt="" class="icon"/>';

else if ($user['kiem']==-2) echo '<img src="../item/kiem/girl/2.png" alt="" class="icon"/>';
echo '</div>';
echo '</td></tr></table></div>';
// Если юзер ожидает подтверждения регистрации, выводим напоминание
if ($rights >= 7 && !$user['preg'] && empty($user['regadm'])) {
echo '<div class="list1">' . $lng_profile['awaiting_registration'] . '</div>';
}echo'<div class="list1">&#x2022;<a href="profile.php?act=info&amp;user=' . $user['id'] . '"><font color=red>Hồ sơ cá nhân</font></a> | <a href="pradd.php?act=write&amp;adr=' . $user['id'] . '"><b>SMS</b></a></div><div class=list2>&#x2022;<a href="profile.php?act=guestbook&amp;user=' . $user['id'] . '">Viết lên tường nhà</a></div><div class=list1>&#x2022;<a href="album.php?act=list&amp;user=' . $user['id'] . '"><font color=green>Album ảnh cá nhân</font></a></div><div class=list2>&#x2022;<a href="profile.php?act=activity&amp;user=' . $user['id'] . '">Hoạt động tại diễn đàn</a></div><div class=list1>&#x2022;<a href="profile.php?act=stat&amp;user=' . $user['id'] . '">Thành tích đạt được</a></div><div class=list1>&#x2022;' . ($user['sex'] == 'm' ? $lng_profile['registered_m'] : $lng_profile['registered_w']) . ': ' . date("d-m-Y", $user['datereg']) . '</li></div><div class=list2>&#x2022;Tài sản: '.$user['balans'].' Xu </div><div class="list1">&#x2022;Năng lượng: '.$user['power'].'% ~ <a href="/users/chem.php?id=' . $user['id'] . '"><font color=red>Tấn Công</font></a></div>';
$exp = $user['postforum']*1;
$chat = $user['postguest']*1;
echo'<div class="list1">&#x2022;Đã gửi vào Fan9 tổng số <font color=red>'.$exp.'</font> bài viết<br>&#x2022;Được thích <font color=red> '.$user['thank_duoc'].'</font> lượt và cũng đã nhấn thích những bài viết khác <font color=red> '.$user['thank_di'].'</font> lượt</div>';

// Карма
if ($set_karma['on']) {
if ($karma > 0) {
$images = ($user['karma_minus'] ? ceil($user['karma_plus'] / $user['karma_minus']) : $user['karma_plus']) > 10 ? '2' : '1';
echo '<div class="gmenu">';
} else if ($karma < 0) {
$images = ($user['karma_plus'] ? ceil($user['karma_minus'] / $user['karma_plus']) : $user['karma_minus']) > 10 ? '-2' : '-1';
echo '<div class="rmenu">';
} else {
$images = 0;
echo '<div class="list1">';
}
echo '<b>Bình chọn</b><br>' .
'<span class="green"><a href="profile.php?act=karma&amp;user=' . $user['id'] . '&amp;type=1">Thích (' . $user['karma_plus'] . ')</a></span> | ' .
'<span class="red"><a href="profile.php?act=karma&amp;user=' . $user['id'] . '"><font color=red>Không thích </font>(' . $user['karma_minus'] . ')</a></span>';
if ($user['id'] != $user_id) {
if (!$datauser['karma_off'] && (!$user['rights'] || ($user['rights'] && !$set_karma['adm'])) && $user['ip'] != $datauser['ip']) {
$sum = mysql_result(mysql_query("SELECT SUM(`points`) FROM `karma_users` WHERE `user_id` = '$user_id' AND `time` >= '" . $datauser['karma_time'] . "'"), 0);
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `user_id` = '$user_id' AND `karma_user` = '" . $user['id'] . "' AND `time` > '" . (time() - 86400) . "'"), 0);
if (!$ban && $datauser['postforum'] >= $set_karma['forum'] && $datauser['total_on_site'] >= $set_karma['karma_time'] && ($set_karma['karma_points'] - $sum) > 0 && !$count) {
echo '<br /><a href="profile.php?act=karma&amp;mod=vote&amp;user=' . $user['id'] . '">' . $lng['vote'] . '</a>';
}
}
} else {
$total_karma = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `karma_user` = '$user_id' AND `time` > " . (time() - 86400)), 0);
if ($total_karma > 0)
echo '<br /><a href="profile.php?act=karma&amp;mod=new">' . $lng['responses_new'] . '</a> (' . $total_karma . ')';
}
echo '</div>';
}
include 'luubut_thanhvien.php';
echo '<div class=list2><a href="/users/cont.php?act=edit&id=' . $user['id'] . '&add=1">Thêm vào bạn bè</a></div>';
echo '<div class=list2><a href="/users/ignor.php?act=edit&id=' . $user['id'] . '&add=1">Thêm vào kẻ thù</a></div>';
echo '<div class="list2"><a href="index.php">Tất cả thành viên</a></div>';
}
require_once('../incfiles/end.php');
?>
