<?php

define('_IN_JOHNCMS', 1);

require('../incfiles/core.php');
$lng_profile = core::load_lng('profile');

/*
-----------------------------------------------------------------
Закрываем от неавторизованных юзеров
-----------------------------------------------------------------
*/
if (!$user_id) {
require('../incfiles/head.php');
echo functions::display_error($lng['access_guest_forbidden']);
require('../incfiles/end.php');
exit;
}

/*
-----------------------------------------------------------------
Получаем данные пользователя
-----------------------------------------------------------------
*/
$user = functions::get_user($user);
if (!$user) {
require('../incfiles/head.php');
echo functions::display_error($lng['user_does_not_exist']);
require('../incfiles/end.php');
exit;
}

/*
-----------------------------------------------------------------
Переключаем режимы работы
-----------------------------------------------------------------
*/
$array = array (
'activity' => 'includes/profile',
'ban' => 'includes/profile',
'edit' => 'includes/profile',
'images' => 'includes/profile',
'info' => 'includes/profile',
'ip' => 'includes/profile',
'guestbook' => 'includes/profile',
'karma' => 'includes/profile',
'office' => 'includes/profile',
'password' => 'includes/profile',
'reset' => 'includes/profile',
'settings' => 'includes/profile',
'stat' => 'includes/profile',
'vipham' => 'includes/profile'
);
$path = !empty($array[$act]) ? $array[$act] . '/' : '';
if (array_key_exists($act, $array) && file_exists($path . $act . '.php')) {
require_once($path . $act . '.php');
} else {
/*
-----------------------------------------------------------------
Анкета пользователя
-----------------------------------------------------------------
*/
$headmod = 'profile,' . $user['id'];
$textl = $lng['profile'] . ': ' . htmlspecialchars($user['name']);
require('../incfiles/head.php');
echo '<div class="phdr"><b>' . ($user['id'] != $user_id ? $lng_profile['user_profile'] : $lng_profile['my_profile']) . '</b></div>';
// Меню анкеты
$menu = array ();
if ($user['id'] == $user_id || $rights == 9 || ($rights == 7 && $rights > $user['rights']))
$menu[] = '<a href="profile.php?act=edit&amp;user=' . $user['id'] . '">' . $lng['edit'] . '</a>';
if ($user['id'] != $user_id && $rights >= 7 && $rights > $user['rights'])
$menu[] = '<a href="' . $set['homeurl'] . '/' . $set['admp'] . '/index.php?act=usr_del&amp;id=' . $user['id'] . '">' . $lng['delete'] . '</a>';
if ($user['id'] != $user_id && $rights > $user['rights'])
$menu[] = '<a href="profile.php?act=ban&amp;mod=do&amp;user=' . $user['id'] . '">' . $lng['ban_do'] . '</a>';
if (!empty($menu))
echo '<div class="topmenu">' . functions::display_menu($menu) . '</div>';
//Уведомление о дне рожденья
if ($user['dayb'] == date('j', time()) && $user['monthb'] == date('n', time())) {
echo '<div class="gmenu"><font color=red>Hôm nay là sinh nhật của tôi hãy gửi lời chúc và tặng quà cho tôi bạn nhé</font></div>';
}
// Информация о юзере
$arg = array (
'lastvisit' => 1,
'iphist' => 1,
'header' => 'ID:' . $user['id'] . ''
);
if($user['id'] != core::$user_id) $arg['footer'] = '<span class="gray">' . core::$lng['where'] . ':</span> ' . functions::display_place($user['id'], $user['place']);
echo '<div class="user"><p>' . functions::display_user2($user, $arg) . '</p>';
////quản lý cấu hình/////
if ($rights >= 7 && !$user['preg'] && empty($user['regadm'])) {
echo '<div class="list1">' . $lng_profile['awaiting_registration'] . '</div>';
}echo'<div class="list2">» <a href="profile.php?act=info&amp;user=' . $user['id'] . '"><font color=red>Hồ sơ cá nhân</font></a></div><div class=list2>» <a href="pradd.php?act=write&amp;adr=' . $user['id'] . '"><font color=green>Bắt đầu đối thoại</font></a></div><div class=list2>» <a href="album.php?act=list&amp;user=' . $user['id'] . '">Album ảnh cá nhân</a></div><div class=list2>» <a href="profile.php?act=activity&amp;user=' . $user['id'] . '">Tất cả bài đăng</a></div><div class=list2>» <a href="profile.php?act=stat&amp;user=' . $user['id'] . '">Điểm thành tích</a></div><div class=list2>» ' . ($user['sex'] == 'm' ? $lng_profile['registered_m'] : $lng_profile['registered_w']) . ': ' . date("d-m-Y", $user['datereg']) . '</li></div><div class=list2>» Tài sản: '.$user['balans'].' Xu </div><div class="list2">» Mana: '.$user['power'].'% ~ <a href="/users/chem.php?id=' . $user['id'] . '"><font color=red>Tấn Công</font></a></div>';
$exp = $user['postforum']*1;
$chat = $user['postguest']*1;
echo'<div class="list2">» Tổng số bài gửi <font color=red>'.$exp.'</font></div><div class="list2">» Đã được thích <font color=red> '.$user['thank_duoc'].'</font> lượt và cũng đã nhấn thích những bài viết khác <font color=red> '.$user['thank_di'].'</font> lượt</div>';

// Карма
if ($set_karma['on']) {
if ($karma > 0) {
$images = ($user['karma_minus'] ? ceil($user['karma_plus'] / $user['karma_minus']) : $user['karma_plus']) > 10 ? '2' : '1';
echo '<div class="gmenu">';
} else if ($karma < 0) {
$images = ($user['karma_plus'] ? ceil($user['karma_minus'] / $user['karma_plus']) : $user['karma_minus']) > 10 ? '-2' : '-1';
echo '<div class="rmenu">';
} else {
$images = 0;
echo '<div class="list1">';
}
echo '<b>Bình chọn</b><br>' .
'<span class="green"><a href="profile.php?act=karma&amp;user=' . $user['id'] . '&amp;type=1">Thích (' . $user['karma_plus'] . ')</a></span> | ' .
'<span class="red"><a href="profile.php?act=karma&amp;user=' . $user['id'] . '"><font color=red>Không thích </font>(' . $user['karma_minus'] . ')</a></span>';
if ($user['id'] != $user_id) {
if (!$datauser['karma_off'] && (!$user['rights'] || ($user['rights'] && !$set_karma['adm'])) && $user['ip'] != $datauser['ip']) {
$sum = mysql_result(mysql_query("SELECT SUM(`points`) FROM `karma_users` WHERE `user_id` = '$user_id' AND `time` >= '" . $datauser['karma_time'] . "'"), 0);
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `user_id` = '$user_id' AND `karma_user` = '" . $user['id'] . "' AND `time` > '" . (time() - 86400) . "'"), 0);
if (!$ban && $datauser['postforum'] >= $set_karma['forum'] && $datauser['total_on_site'] >= $set_karma['karma_time'] && ($set_karma['karma_points'] - $sum) > 0 && !$count) {
echo '<br /><a href="profile.php?act=karma&amp;mod=vote&amp;user=' . $user['id'] . '">' . $lng['vote'] . '</a>';
}
}
} else {
$total_karma = mysql_result(mysql_query("SELECT COUNT(*) FROM `karma_users` WHERE `karma_user` = '$user_id' AND `time` > " . (time() - 86400)), 0);
if ($total_karma > 0)
echo '<br /><a href="profile.php?act=karma&amp;mod=new">' . $lng['responses_new'] . '</a> (' . $total_karma . ')';
}
echo '</div>';
}
include 'luubut_thanhvien.php';
echo '<div class=list2><a href="/users/cont.php?act=edit&id=' . $user['id'] . '&add=1">» Thêm bạn</a></div>';
echo '<div class=list2><a href="/users/ignor.php?act=edit&id=' . $user['id'] . '&add=1">» Kẻ thù</a></div>';
echo '<div class="list2"><a href="index.php">» Tìm bạn</a></div>';
}
require_once('../incfiles/end.php');
?>
