<?php

/**
* @package     JohnCMS
* @link        http://johncms.com
* @copyright   Copyright (C) 2008-2011 JohnCMS Community
* @license     LICENSE.txt (see attached file)
* @version     VERSION.txt (see attached file)
* @author      http://johncms.com/about
*/

define('_IN_JOHNCMS', 1);

$headmod = 'forumsearch';
require('../incfiles/core.php');
$lng_forum = core::load_lng('forum');
$textl = $lng_forum['search_forum'];
$title_post = isset($_POST['search']) ? trim($_POST ['search']) : false; $title_get = isset($_GET['search']) ? rawurldecode (trim($_GET['search'])) : false; $title = $title_post ? $title_post : $title_get;
$textl = $title ? 'Truy vấn tags: '.bbcode::notags($title).'' : 'Suport-Johncms';
require('../incfiles/head.php');

/*
-----------------------------------------------------------------
Функция подсветки результатов запроса
-----------------------------------------------------------------
*/
function ReplaceKeywords($search, $text) {
    $search = str_replace('*', '', $search);
    return mb_strlen($search) < 3 ? $text : preg_replace('|('.preg_quote($search, '/').')|siu','<span style="background-color: #FFFF33">$1</span>',$text);
}

/*
-----------------------------------------------------------------
Принимаем данные, выводим форму поиска
-----------------------------------------------------------------
*/
$search_post = isset($_POST['search']) ? trim($_POST['search']) : false;
$search_get = isset($_GET['search']) ? rawurldecode(trim($_GET['search'])) : false;
$search = $search_post ? $search_post : $search_get;
//$search = preg_replace("/[^\w\x7F-\xFF\s]/", " ", $search);
$search_t = isset($_REQUEST['t']);
echo '<div class="phdr"><a href="index.php"><b>' . $lng['forum'] . '</b></a> | ' . $lng['search'] . '</div>' .
     '<div class="gmenu"><form action="search.php" method="post"><p>' .
     '<input type="text" value="' . bbcode::notags($search ? functions::checkout($search) : '') . '" name="search" />' .
     '<input type="submit" value="' . bbcode::notags($lng['search']) . '" name="submit" /><br />' .
     '<input name="t" type="checkbox" value="1" ' . ($search_t ? 'checked="checked"' : '') . ' />&nbsp;' . $lng_forum['search_topic_name'] .
     '</p></form></div>';

/*
-----------------------------------------------------------------
Проверям на ошибки
-----------------------------------------------------------------
*/
$error = false;
if ($search && (mb_strlen($search) < 2 || mb_strlen($search) > 600))
    $error = $lng['error_search_length'];

if ($search && !$error) {
    /*
    -----------------------------------------------------------------
    Выводим результаты запроса
    -----------------------------------------------------------------
    */
    $array = explode(' ', $search);
    $count = count($array);
    $query = mysql_real_escape_string($search);
    $total = mysql_result(mysql_query("
        SELECT COUNT(*) FROM `forum`
        WHERE MATCH (`text`) AGAINST ('$query' IN BOOLEAN MODE)
        AND `type` = '" . ($search_t ? 't' : 'm') . "'" . ($rights >= 7 ? "" : " AND `close` != '1'
    ")), 0);
    echo '<div class="phdr">Kết quả truy vấn</div>';
    if ($total > $kmess)
        echo '<div class="topmenu">' . functions::display_pagination('search.php?' . ($search_t ? 't=1&amp;' : '') . 'search=' . urlencode($search) . '&amp;', $start, $total, $kmess) . '</div>';
    if ($total) {
        $req = mysql_query("
            SELECT *, MATCH (`text`) AGAINST ('$query' IN BOOLEAN MODE) as `rel`
            FROM `forum`
            WHERE MATCH (`text`) AGAINST ('$query' IN BOOLEAN MODE)
            AND `type` = '" . ($search_t ? 't' : 'm') . "'
            ORDER BY `rel` DESC
            LIMIT $start, $kmess
        ");
        $i = 0;
        while (($res = mysql_fetch_assoc($req)) !== false) {
            if (!$search_t) {
                // Поиск только в тексте
                $req_t = mysql_query("SELECT `id`,`text` FROM `forum` WHERE `id` = '" . $res['refid'] . "'");
                $res_t = mysql_fetch_assoc($req_t);
                echo '<div class=list3><h1><a href="' . $home.'/forum/'.functions::sieuquay($search['id']).'_' . ($search_t ? $res['id'] : $res_t['id']) . '.html">' . bbcode::tags($res_t['text']) . '</a></h1>';
            } else {
                // Поиск в названиях тем
                $req_p = mysql_query("SELECT `text` FROM `forum` WHERE `refid` = '" . $res['id'] . "' ORDER BY `id` ASC LIMIT 1");
                $res_p = mysql_fetch_assoc($req_p);
                foreach($array as $val){
                    $res['text'] = ReplaceKeywords($val, $res['text']);
                }
                echo '<div class=list3><h1><a href="' . $home.'/forum/'.functions::sieuquay($search['id']).'_' . ($search_t ? $res['id'] : $res_t['id']) . '.html"><b>' . bbcode::tags($res['text']) . '</b></a>';
            }
            echo '</div></h1><div class=list2><h3>';
            $text = $search_t ? $res_p['text'] : bbcode::notags($res['text']);
            foreach ($array as $srch) if (($pos = mb_strpos(strtolower($res['text']), strtolower(str_replace('*', '', $srch)))) !== false) break;
            if(!isset($pos) || $pos < 100) $pos = 100;
            $text = preg_replace('#\[c\](.*?)\[/c\]#si', '<div class="quote">bbcode::tags\1</div>', $text);
            $text = functions::checkout(mb_substr($text, ($pos - 100), 400), 1);
            if (!$search_t) {
                foreach($array as $val){
                    $text = ReplaceKeywords($val, $text);
                }
            }
            echo $text;
            if (mb_strlen($res['text']) > 5)
                

            echo '</h3></div>';
            ++$i;
        }
    } else {
        echo '<div class="rmenu"><p>' . $lng['search_results_empty'] . '</p></div>';
    }
    echo '<div class="phdr">' . $lng['total'] . ': ' . $total . '</div>';
    if ($total > $kmess) {
        echo '<div class="menu">' . functions::display_pagination('search.php?' . ($search_t ? 't=1&amp;' : '') . 'search=' . urlencode($search) . '&amp;', $start, $total, $kmess) . '</div>' .
            '<p><form action="search.php?' . ($search_t ? 't=1&amp;' : '') . 'search=' . urlencode($search) . '" method="post">' .
            '<input type="text" name="page" size="2"/>' .
            '<input type="submit" value="' . $lng['to_page'] . ' &gt;&gt;"/>' .
            '</form></p>';
    }
} else {
    if ($error) echo functions::display_error($error);
    echo '<div class="phdr"><small>' . $lng['search_help'] . '</small></div>';
}
echo '<p>' . ($search ? '<a href="search.php">' . $lng['search_new'] . '</a><br />' : '') . '<a href="index.php">' . $lng['forum'] . '</a></p>';

require('../incfiles/end.php');

?>