-- phpMyAdmin SQL Dump
-- version 3.4.11.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Oct 27, 2012 at 09:45 PM
-- Server version: 5.0.92
-- PHP Version: 5.2.6

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

--
-- Database: `thantruo_tya`
--

-- --------------------------------------------------------

--
-- Table structure for table `soo`
--

CREATE TABLE IF NOT EXISTS `soo` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(30) NOT NULL,
  `cat` int(1) NOT NULL,
  `type` int(11) NOT NULL,
  `desc` text NOT NULL,
  `rule` text NOT NULL,
  `mot` text NOT NULL,
  `user_id` int(11) NOT NULL,
  `mod` int(11) NOT NULL,
  `p_time` int(11) NOT NULL,
  `p` text NOT NULL,
  `link` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=35 ;

-- --------------------------------------------------------

--
-- Table structure for table `soo_ban_users`
--

CREATE TABLE IF NOT EXISTS `soo_ban_users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `ban_time` int(11) NOT NULL default '0',
  `ban_while` int(11) NOT NULL default '0',
  `ban_type` tinyint(4) NOT NULL default '1',
  `ban_who` varchar(30) NOT NULL default '',
  `ban_ref` int(11) NOT NULL default '0',
  `ban_reason` text NOT NULL,
  `ban_raz` varchar(30) NOT NULL default '',
  `sid` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`),
  KEY `ban_time` (`ban_time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `soo_forum`
--

CREATE TABLE IF NOT EXISTS `soo_forum` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `refid` int(11) NOT NULL default '0',
  `type` char(1) NOT NULL default '',
  `time` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL,
  `from` varchar(25) NOT NULL default '',
  `realid` int(3) NOT NULL default '0',
  `ip` bigint(11) NOT NULL default '0',
  `ip_via_proxy` bigint(11) NOT NULL default '0',
  `soft` text NOT NULL,
  `text` text NOT NULL,
  `close` tinyint(1) NOT NULL default '0',
  `close_who` varchar(25) NOT NULL,
  `vip` tinyint(1) NOT NULL default '0',
  `edit` text NOT NULL,
  `tedit` int(11) NOT NULL default '0',
  `kedit` int(2) NOT NULL default '0',
  `curators` text NOT NULL,
  `sid` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `refid` (`refid`),
  KEY `type` (`type`),
  KEY `time` (`time`),
  KEY `close` (`close`),
  KEY `user_id` (`user_id`),
  FULLTEXT KEY `text` (`text`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=83 ;

-- --------------------------------------------------------

--
-- Table structure for table `soo_forum_files`
--

CREATE TABLE IF NOT EXISTS `soo_forum_files` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `cat` int(10) NOT NULL,
  `subcat` int(10) NOT NULL,
  `topic` int(10) NOT NULL,
  `post` int(10) NOT NULL,
  `time` int(11) NOT NULL,
  `filename` text NOT NULL,
  `filetype` tinyint(4) NOT NULL,
  `dlcount` int(10) NOT NULL,
  `del` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `cat` (`cat`),
  KEY `subcat` (`subcat`),
  KEY `topic` (`topic`),
  KEY `post` (`post`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `soo_forum_rdm`
--

CREATE TABLE IF NOT EXISTS `soo_forum_rdm` (
  `topic_id` int(11) unsigned NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  PRIMARY KEY  (`topic_id`,`user_id`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `soo_forum_vote`
--

CREATE TABLE IF NOT EXISTS `soo_forum_vote` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `type` int(2) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `topic` int(11) NOT NULL,
  `name` varchar(200) NOT NULL,
  `count` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `type` (`type`),
  KEY `topic` (`topic`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `soo_forum_vote_users`
--

CREATE TABLE IF NOT EXISTS `soo_forum_vote_users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `user` int(11) NOT NULL default '0',
  `topic` int(11) NOT NULL,
  `vote` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `topic` (`topic`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `soo_news`
--

CREATE TABLE IF NOT EXISTS `soo_news` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `time` int(11) NOT NULL default '0',
  `avt` varchar(25) NOT NULL default '',
  `name` text NOT NULL,
  `text` text NOT NULL,
  `kom` int(11) NOT NULL default '0',
  `sid` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

-- --------------------------------------------------------

--
-- Table structure for table `soo_users`
--

CREATE TABLE IF NOT EXISTS `soo_users` (
  `id` int(11) NOT NULL auto_increment,
  `sid` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `rights` int(11) NOT NULL,
  `mod` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=484 ;
